AOZ Studio Beta - Bug #233

Tracker player is working, but music playback glitches at the beginning of the track.
02/15/2020 10:49 AM - Brian Flanagan

Status: Closed Start date: 02/15/2020
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.5.1

Description

The sample code below will load and play the music, but at the start, the music wavers briefly (consistent behavior).
From then on it plays well. It also sometimes starts with a pop/click

#manifest:"amiga"

#speed:"safe"

#fps:false

Cls 0 : Pen 2 : Paper O

Track Load "AMOSPro_Examples:Music/Mod.tracker",6
Print "Click mouse button to start music."
Print "Click again to exit AOZ." : Print

Print " (Track will play until window closed.)"
Repeat Until Mouse Key <> 0

Repeat Until Mouse Key = 0

Track Play 6,0

Repeat Until Mouse Key <> 0

For comparison, load Help_72 from AMOSPro_Examples in AMOS Pro.

It plays the same track with no pop and no wavering at the beginning.

History

#1 - 02/21/2020 08:20 PM - Francois Lionet

- Assignee set to Baptiste Bideaux

#2 - 02/23/2020 03:04 PM - Baptiste Bideaux

- Status changed from New to Resolved

The JS API has changed. | have implemented the BassoonTracker JS APl in AOZ. It's available from v0.9.5.

#3 - 02/29/2020 02:34 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Affected version changed from 0.9.5 to 0.9.5.1

Playback no longer glitches at the beginning of the track...
...HOWEVER, some tracks still sound very distorted. (See Bug #254.)
